onEvent('recipes', e => {

  e.remove({ output: 'bloodmagic:altar' })




  e.shaped('bloodmagic:altar', [
    '232',
    '414',
    '232'
  ], {
    1: 'botania:apothecary_default', 2: 'tconstruct:blood_slime_ball', 3: 'evilcraft:dark_gem', 4: '#forge:stone'
  })

  e.recipes.bloodmagic.altar('woot:si_dust', 'mekanism:dust_steel').altarSyphon(1500).upgradeLevel(1)
  e.recipes.bloodmagic.altar('evilcraft:dark_power_gem', 'evilcraft:dark_gem').altarSyphon(1000).upgradeLevel(1)
  e.recipes.bloodmagic.altar('bloodmagic:etherealslate', 'bloodmagic:demonslate').altarSyphon(20000).upgradeLevel(4)

  e.recipes.bloodmagic.altar('woot:cell_2', 'woot:cell_1').altarSyphon(15000).upgradeLevel(2)
  e.recipes.bloodmagic.altar('woot:cell_3', 'woot:cell_2').altarSyphon(20000).upgradeLevel(3)
  e.recipes.bloodmagic.altar('woot:cell_4', 'woot:cell_3').altarSyphon(30000).upgradeLevel(4)
  e.recipes.bloodmagic.altar('evilcraft:environmental_accumulation_core', 'bloodmagic:masterbloodorb').altarSyphon(100000).upgradeLevel(4)
  e.recipes.bloodmagic.altar('excompressum:evolved_orechid', 'botania:orechid').altarSyphon(100000).upgradeLevel(4)

})


